Package org.wso2.carbon.viewflows.stub.types

## Class AxisConfigData

- java.lang.Object
- - org.wso2.carbon.viewflows.stub.types.AxisConfigData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class AxisConfigData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  AxisConfigData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AxisConfigData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PhaseOrderData` | `localInfaultflowPhaseOrder` | field for InfaultflowPhaseOrder
    `protected boolean` | `localInfaultflowPhaseOrderTracker` |
    `protected PhaseOrderData` | `localInflowPhaseOrder` | field for InflowPhaseOrder
    `protected boolean` | `localInflowPhaseOrderTracker` |
    `protected PhaseOrderData` | `localOutfaultPhaseOrder` | field for OutfaultPhaseOrder
    `protected boolean` | `localOutfaultPhaseOrderTracker` |
    `protected PhaseOrderData` | `localOutflowPhaseOrder` | field for OutflowPhaseOrder
    `protected boolean` | `localOutflowPhaseOrderTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AxisConfigData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PhaseOrderData` | `getInfaultflowPhaseOrder()` | Auto generated getter method
    `PhaseOrderData` | `getInflowPhaseOrder()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `PhaseOrderData` | `getOutfaultPhaseOrder()` | Auto generated getter method
    `PhaseOrderData` | `getOutflowPhaseOrder()` | Auto generated getter method
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isInfaultflowPhaseOrderSpecified()` |
    `boolean` | `isInflowPhaseOrderSpecified()` |
    `boolean` | `isOutfaultPhaseOrderSpecified()` |
    `boolean` | `isOutflowPhaseOrderSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setInfaultflowPhaseOrder​(PhaseOrderData param)` | Auto generated setter method
    `void` | `setInflowPhaseOrder​(PhaseOrderData param)` | Auto generated setter method
    `void` | `setOutfaultPhaseOrder​(PhaseOrderData param)` | Auto generated setter method
    `void` | `setOutflowPhaseOrder​(PhaseOrderData param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localInfaultflowPhaseOrder

          protected PhaseOrderData localInfaultflowPhaseOrder

      field for InfaultflowPhaseOrder

    - #### localInfaultflowPhaseOrderTracker

          protected boolean localInfaultflowPhaseOrderTracker

    - #### localInflowPhaseOrder

          protected PhaseOrderData localInflowPhaseOrder

      field for InflowPhaseOrder

    - #### localInflowPhaseOrderTracker

          protected boolean localInflowPhaseOrderTracker

    - #### localOutfaultPhaseOrder

          protected PhaseOrderData localOutfaultPhaseOrder

      field for OutfaultPhaseOrder

    - #### localOutfaultPhaseOrderTracker

          protected boolean localOutfaultPhaseOrderTracker

    - #### localOutflowPhaseOrder

          protected PhaseOrderData localOutflowPhaseOrder

      field for OutflowPhaseOrder

    - #### localOutflowPhaseOrderTracker

          protected boolean localOutflowPhaseOrderTracker

  - ### Constructor Detail

    - #### AxisConfigData

          public AxisConfigData()

  - ### Method Detail

    - #### isInfaultflowPhaseOrderSpecified

          public boolean isInfaultflowPhaseOrderSpecified()

    - #### getInfaultflowPhaseOrder

          public PhaseOrderData getInfaultflowPhaseOrder()

      Auto generated getter method
      Returns:
        org.wso2.carbon.viewflows.stub.types.PhaseOrderData

    - #### setInfaultflowPhaseOrder

          public void setInfaultflowPhaseOrder​(PhaseOrderData param)

      Auto generated setter method
      Parameters:
        `param` - InfaultflowPhaseOrder

    - #### isInflowPhaseOrderSpecified

          public boolean isInflowPhaseOrderSpecified()

    - #### getInflowPhaseOrder

          public PhaseOrderData getInflowPhaseOrder()

      Auto generated getter method
      Returns:
        org.wso2.carbon.viewflows.stub.types.PhaseOrderData

    - #### setInflowPhaseOrder

          public void setInflowPhaseOrder​(PhaseOrderData param)

      Auto generated setter method
      Parameters:
        `param` - InflowPhaseOrder

    - #### isOutfaultPhaseOrderSpecified

          public boolean isOutfaultPhaseOrderSpecified()

    - #### getOutfaultPhaseOrder

          public PhaseOrderData getOutfaultPhaseOrder()

      Auto generated getter method
      Returns:
        org.wso2.carbon.viewflows.stub.types.PhaseOrderData

    - #### setOutfaultPhaseOrder

          public void setOutfaultPhaseOrder​(PhaseOrderData param)

      Auto generated setter method
      Parameters:
        `param` - OutfaultPhaseOrder

    - #### isOutflowPhaseOrderSpecified

          public boolean isOutflowPhaseOrderSpecified()

    - #### getOutflowPhaseOrder

          public PhaseOrderData getOutflowPhaseOrder()

      Auto generated getter method
      Returns:
        org.wso2.carbon.viewflows.stub.types.PhaseOrderData

    - #### setOutflowPhaseOrder

          public void setOutflowPhaseOrder​(PhaseOrderData param)

      Auto generated setter method
      Parameters:
        `param` - OutflowPhaseOrder

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`